% friedman_ex1 - do the non-parametric test for the data in the example
% data file

% See Figure 6.42b in HCIERP2e

clear; clc; 
close all; 

path = '.';
fileName = 'friedman-ex1';
fileExt = '.txt';

inputDataFile = fullfile(path, [fileName, fileExt]);
M = readmatrix(inputDataFile);

% using Scott's friedman2 function
[h, p, pwTable] = friedman2(M, 'on');

% output results

outFile = strcat(fileName, '_output.txt');
if isfile(outFile)
    delete(outFile);
end
diary(outFile)
fprintf('h = %.3f, p = %.4f (corrected for ties)\n\n', h, p);

% using MATLAB's friedman function (same h and p)
% [p2, h, ~] = friedman(M, 1, 'off');
% h2 = h{2,5};
% fprintf('h2 = %.3f, p2 = %.4f (corrected for ties) MATLAB friedman function\n', h2, p2);

% print pairwise comparisons table
fprintf('%s\n', pwTable);
diary off

% *** end ***