% kruskalwallis_ex1 - do the non-parametric test for the data
% in the example data file

% See Figure 6.40b in HCIERP2e

clear; clc; 
close all; 

path = '.';
fileName = 'kruskalwallis-ex1';
fileExt = '.txt';

inputDataFile = fullfile(path, [fileName, fileExt]);
M = readmatrix(inputDataFile);

% using Scott's kruskwallis2 function
[h, p, pwTable] = kruskalwallis2(M, 'on');

% output results

outFile = strcat(fileName, '_output.txt');
if isfile(outFile)
    delete(outFile);
end
diary(outFile)

fprintf('h = %.3f, p = %.4f (corrected for ties)\n', h, p);

% using MATLAB's kruskalwallis function (same h and p)
% [p3, h, ~] = kruskalwallis(M, [], 'off');
% h3 = h{2,5};
% fprintf('h3 = %.3f, p3 = %.4f (corrected for ties) MATLAB kruskalwallis function\n', h3, p3);

% print pairwise comparisons table
fprintf('%s\n', pwTable);
diary off

% *** end ***