% lilliefors_ex3 - do the lilliefors test for the data in the example data
% file

% See Figure 6.33 in the 2nd edition

clear; clc;
close all;

path = '.';
fileName = 'lilliefors-ex3';
fileExt = '.txt';

inputDataFile = fullfile(path, [fileName, fileExt]);

data = readmatrix(inputDataFile);

n = 0;
nRejected = 0;
nNotRejected = 0;

outFile = strcat(fileName, '_output.txt');
if isfile(outFile)
    delete(outFile);
end
diary(outFile)

for i=1:size(data,1)

    % skip lines beginning with NaN
    if isnan(data(i,1))
        continue;
    end

    n = n + 1;

    % using Scott's lilliefors function
    [m, cv, ~] = lilliefors(data(i,:), 'off');
    
    % using MATLAB's lillietest function (Note: cv is a bit different)
    %[~, ~, m, cv] = lillietest(data);

    if m < cv
        decision = 'NOT_REJECTED';
        nNotRejected = nNotRejected + 1;
    else
        decision = 'REJECTED';
        nRejected = nRejected + 1;
    end    

    fprintf('n=%3d,  mean=%6.2f,  sd=%6.2f,  %7.5f > %7.5f ? %s\n', ...
        length(data(:,1)), mean(data(i,:)), std(data(i,:)), m, cv, decision);
end

% print summary
fprintf('Data_sets=%d, Null_hypothesis: Rejected=%d, Not_rejected=%d\n', ...
    n, nRejected, nNotRejected);
diary off

% *** end ***