% wilcoxonsignedranks_ex1 - do the non-parametric test for the data in the
% example data file

% See Figure 6.38b in HCIERP2e

clear; clc; 
close all; 

path = '.';
fileName = 'wilcoxonsignedranks-ex1';
fileExt = '.txt';

inputDataFile = fullfile(path, [fileName, fileExt]);
M = readmatrix(inputDataFile);

[z, p] = wilcoxonsignedranks(M);

outFile = strcat(fileName, '_output.txt');
if isfile(outFile)
    delete(outFile);
end
diary(outFile)

fprintf('z = %.3f, p = %.4f (corrected for ties)\n', z, p);
diary off

% *** end ***